%global srcname pymediainfo

Name:           python-%{srcname}
Version:        6.1.0
Release:    1%{?dist}
Summary:        Python wrapper around the MediaInfo library

License:        MIT
URL:            https://github.com/sbraz/%{srcname}
Source0:        https://pypi.org/packages/source/p/%{srcname}/%{srcname}-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  libmediainfo

%description
%{sum}.

%package     -n python3-%{srcname}
Summary:        Python3 wrapper around the MediaInfo library
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pytest
BuildRequires:  python3-pytest-runner
BuildRequires:  python3-setuptools_scm
Requires:       libmediainfo
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname}
This small package is a Python3 wrapper around the MediaInfo library.


%prep
%autosetup -n %{srcname}-%{version}


%build
%py3_build


%install
%py3_install


%check
export LC_ALL=C.UTF-8
PYTEST_ADDOPTS='-k "not test_parse_url"' %{__python3} setup.py test


%files -n python3-%{srcname}
%license LICENSE
%doc AUTHORS README.rst
%{python3_sitelib}/%{srcname}*


%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 6.1.0-1
- initial build
